Bug 680999 - Eclipse copy-platform script shouldn't use wildcard for dropins
Eclipse copy-platform script shouldn't use wildcard for dropins
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-28 13:14 EST by Jeff Johnston
Modified: 2011-07-05 15:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-05 15:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (796 bytes, patch)
2011-02-28 18:32 EST, Jeff Johnston
no flags Details | Diff

  None (edit)
Description Jeff Johnston 2011-02-28 13:14:50 EST
Description of problem:

The copy-platform script uses wildcards when checking if the desired components exist in either /usr/lib/eclipse/dropins or /usr/share/eclipse/dropins.  This causes problems when a name is a subset of a dropins folder.  For example, the eclispe-cdt package needs to load rse plugins and so specifies rse in the list passed to copy-platform.  There is a sub-package eclipse-cdt-parsers that installs into /usr/lib/eclispe/dropins/cdt-parsers.  The rse is a subset of the name and so the plugins and features get copied over.  This causes the eclipse-cdt build to not build some of those plugins/features.

The script should only be allowing the given names when searching in the dropins folders.

Version-Release number of selected component (if applicable):

This problem exists on f14, f15, and rawhide.

How reproducible:

Attempt to build Fedora eclipse-cdt package on system where eclipse-cdt-parsers is already installed.

Actual results:

Build will fail.

Expected results:

Build succeeds.
Comment 1 Andrew Overholt 2011-02-28 17:45:48 EST
Do you have a patch, Jeff?
Comment 2 Jeff Johnston 2011-02-28 18:32:25 EST
Created attachment 481473 [details]
Proposed patch

Adding a proposed patch.
Comment 3 Alexander Kurtakov 2011-03-14 07:13:12 EDT
Andrew, Jeff, 
Do you think I should include it in next eclipse-build?
Comment 4 Andrew Overholt 2011-03-14 09:49:57 EDT
Jeff's patch is reversed but if it fixes the issue for him (and I understand what he's trying to accomplish and it looks okay to me), yes, let's apply it upstream.  Thanks.
Comment 5 Andrew Overholt 2011-06-29 17:05:01 EDT
I've been looking into making this change upstream but I'm first going to ensure that none of the Eclipse packages in Fedora rely on this globbing.
Comment 6 Andrew Overholt 2011-07-05 11:40:28 EDT
I rebuilt all eclipse-* packages with a locally-modified copy-platform and everything builds fine.  I'll see about getting this change into eclipse-build upstream.
Comment 7 Andrew Overholt 2011-07-05 15:41:04 EDT
This was really an upstream eclipse-build bug and I've fixed it there in commit c5838267623ca6d5de4475227f3c70b977c6147e:

  http://git.eclipse.org/c/linuxtools/org.eclipse.linuxtools.eclipse-build.git/commit/?id=c5838267623ca6d5de4475227f3c70b977c6147e

Watch for it in a future Eclipse build in rawhide.

Note You need to log in before you can comment on or make changes to this bug.